Uploaded image for project: 'Groovy'
  1. Groovy
  2. GROOVY-6976

after upgrading to 2.3.5 CliBuilder doesn't work.

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Bug
    • Status: Closed
    • Blocker
    • Resolution: Fixed
    • 2.3.5
    • 2.3.6, 2.4.0-beta-2
    • None
    • Mac OSX, groovy 2.3.5, jdk 1.8, gradle 2.

    Description

      After upgrading to 2.3.5 code depending on CliBuilder doesn't compile. It fails with "unable to resolve class CliBuilder".

      Am attaching an example gradle project. To reproduce error, just bump groovy version in the build.gradle. The same code works just fine for 2.3.4.

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            paulk Paul King
            kdabir Kunal Dabir
            Votes:
            1 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment